Subject: Re: [PATCH] tipc: fix RCU dereference race in tipc_aead_users_dec()

From: Jakub Kicinski <[email-masked]>
Date: Mon, 2 Feb 2026 17:48:33 -0800

On Sat, 31 Jan 2026 18:21:28 -0800 Daniel Hodges wrote:
> tipc_aead_users_dec() calls rcu_dereference(aead) twice: once to store
> in 'tmp' for the NULL check, and again inside the atomic_add_unless()
> call.
> 
> Use the already-dereferenced 'tmp' pointer consistently, matching the
> correct pattern used in tipc_aead_users_inc() and tipc_aead_users_set().
> 
> Fixes: fc1b6d6de220 ("tipc: introduce TIPC encryption & authentication")
> Cc: [email-masked]
> 
> Signed-off-by: Daniel Hodges <[email-masked]>

Somehow this didn't reach patchwork, please resend, and while you do
that please remove the empty line between cc stable and you sob.